Package writer2latex.office

# Class ListCounter

java.lang.Object
writer2latex.office.ListCounter

public class ListCounter extends Object

This class produces labels for OOo lists/outlines (for xhtml and text, which cannot produce them on their own).

## Constructor Summary

Constructors
Constructor
Description
`ListCounter()`
`ListCounter(ListStyle style)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLabel()`
`String`
`getLabelAndSuffix()`
`String`
`getPrefix()`
`int`
`getValue(int nLevel)`
`int[]`
`getValues()`
`ListCounter`
`restart(int nLevel)`
`ListCounter`
`restart(int nLevel, int nValue)`
`ListCounter`
`step(int nLevel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListCounter

public ListCounter()

### ListCounter

public ListCounter(ListStyle style)

## Method Details

### step

public ListCounter step(int nLevel)

### restart

public ListCounter restart(int nLevel)

### restart

public ListCounter restart(int nLevel, int nValue)

### getValue

public int getValue(int nLevel)

### getValues

public int[] getValues()

### getLabel

public String getLabel()

### getPrefix

public String getPrefix()

### getLabelAndSuffix

public String getLabelAndSuffix()